# 72. Consulta: obtener datos en cuadrícula como GeoJSON o GeoTIFF

Consulta para obtener datos en cuadrícula de conjuntos de datos como "FieldSatelliteImage", "TopographyMap", "SoilDataset", "YieldDataset", "AsAppliedDataset", "VectorAnalysisMap" como `GEOJSON` con puntos o `GEOTIFF`.&#x20;

{% hint style="danger" %}
Se recomienda recuperar solo un único conjunto de datos con `sourceDataUrl` por solicitud.&#x20;
{% endhint %}

`GEOTIFF` y `GEOJSON` están disponibles como `formatos`.

{% hint style="danger" %}
`sourceDataUrl` el enlace es accesible solo por **60 s.**
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetRawVectorDataFromSatelliteImage {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]){
    uuid
    name
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      name
      satelliteImages(satelliteImageUuids: ["<placeholder_of_satelliteimage_uuid>"]) {
        uuid
        sourceDataUrl(formato: GEOTIFF)
      }
    }
  }
}
```

{% endcode %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/esp/documentacion-de-la-api/resumen-de-solicitudes-de-la-api-de-geopard/72.-consulta-obtener-datos-en-cuadricula-como-geojson-o-geotiff.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
